Subject: Re: [PATCH] MAINTAINERS: remove Adam Fritzler, update his email address in other sources

From: Jeff Garzik <[email-masked]>
Date: Sat, 22 Dec 2007 03:53:03 -0500

Andrew Morton wrote:
> On Mon, 17 Dec 2007 20:48:03 -0800 Joe Perches <[email-masked]> wrote:
> 
>> Back to Adam Fritzler...
>>
>> ...
>>
>> diff --git a/CREDITS b/CREDITS
>> index ee909f2..449ec7f 100644
>> --- a/CREDITS
>> +++ b/CREDITS
>> @@ -1124,6 +1124,9 @@ S: 1150 Ringwood Court
>>  S: San Jose, California 95131
>>  S: USA
>>  
>> +N: Adam Fritzler
>> +E: [email-masked]
>> +
>>  N: Fernando Fuganti
>>  E: [email-masked]
>>  E: [email-masked]
>> diff --git a/MAINTAINERS b/MAINTAINERS
>> index 9507b42..690f172 100644
>> --- a/MAINTAINERS
>> +++ b/MAINTAINERS
>> @@ -3758,13 +3758,6 @@ W:	http://www.kernel.org/pub/linux/kernel/people/bunk/trivial/
>>  T:	git kernel.org:/pub/scm/linux/kernel/git/bunk/trivial.git
>>  S:	Maintained
>>  
>> -TMS380 TOKEN-RING NETWORK DRIVER
>> -P:	Adam Fritzler
>> -M:	[email-masked]
>> -L:	[email-masked]
>> -W:	http://www.auk.cx/tms380tr/
>> -S:	Maintained
> 
> What was the rationale for removing Adam from MAINTAINERS?
> 
> That should have been in the non-existent changelog.  Please always reissue
> a complete changelog when resending any patch.
> 
> hm, linux-tr.net seems to be defunct.  So I guess that orphaning TMS380 is
> appropriate, if Adam has left us.  Has he?

I don't know that specific answer, but in terms of general policy...

I wouldn't apply this patch until they have been in 
Documentation/people-removal-schedule.txt for a year or so ;-)  More 
seriously, its not like MAINTAINERS is a mission critical correctness 
target -- so I think we can do a better job than just yanking people 
from the file like this.

	Jeff